import javax.xml.parsers.*;
import org.w3c.dom.*;
import java.io.*;

public class DocumentBuilderTest {

  public static void main(String[] args)
      throws Exception
  {

    String uri="C:\\Lesons\\ExamTest.xml";

    // Xml document
    DocumentBuilderFactory factory=DocumentBuilderFactory.newInstance();
    DocumentBuilder builder=factory.newDocumentBuilder();
    Document document=builder.parse(uri);

    // Document'in root'u
    Element exam=document.getDocumentElement();

    // 1. Soru
    NodeList questions=exam.getElementsByTagName("question");
    Element question1=(Element)questions.item(0);
    String number=question1.getAttribute("number");
    System.out.println(number);

    // B Sikki
    NodeList options=question1.getElementsByTagName("option");
    Element optionB=(Element)options.item(1);
    String id=optionB.getAttribute("id");
    System.out.println(id);

    // Sikkin metni
    NodeList children=optionB.getChildNodes();
    Text text=(Text)children.item(0);
    String value=text.getNodeValue();
    System.out.println(value);

  }
}
